Package com.sap.ai.sdk.core.client

# Class ExecutionScheduleApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.ExecutionScheduleApi

public class ExecutionScheduleApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutionScheduleApi()`
  Instantiates this API class to invoke operations on the AI Core
  `ExecutionScheduleApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `count(String aiResourceGroup)`
  Get number of execution schedules
  `Integer`
  `count(String aiResourceGroup, String configurationId, String status)`
  Get number of execution schedules
  `AiExecutionScheduleCreationResponse`
  `create(String aiResourceGroup, AiExecutionScheduleCreationData aiExecutionScheduleCreationData)`
  Create execution schedule
  `AiExecutionScheduleDeletionResponse`
  `delete(String aiResourceGroup, String executionScheduleId)`
  Delete execution schedule
  `AiExecutionSchedule`
  `get(String aiResourceGroup, String executionScheduleId)`
  Get information about an execution schedule
  `AiExecutionScheduleModificationResponse`
  `modify(String aiResourceGroup, String executionScheduleId, AiExecutionScheduleModificationRequest aiExecutionScheduleModificationRequest)`
  Update an execution schedule
  `AiExecutionScheduleList`
  `query(String aiResourceGroup)`
  Get list of execution schedules
  `AiExecutionScheduleList`
  `query(String aiResourceGroup, String configurationId, String status, Integer $top, Integer $skip)`
  Get list of execution schedules
  `ExecutionScheduleApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecutionScheduleApi

    public ExecutionScheduleApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### ExecutionScheduleApi

    public ExecutionScheduleApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public ExecutionScheduleApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### count

    @Nonnull public Integer count(@Nonnull String aiResourceGroup, @Nullable String configurationId, @Nullable String status) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get number of execution schedules

    Retrieve the number of scheduled executions. The number can be filtered by configurationId or executionScheduleStatus.

    200 - Number of execution schedules

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - (required) Specify a resource group id
      `configurationId` - (optional) Configuration identifier
      `status` - (optional) Execution Schedule status
    Returns:
      Integer
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### count

    @Nonnull public Integer count(@Nonnull String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get number of execution schedules

    Retrieve the number of scheduled executions. The number can be filtered by configurationId or executionScheduleStatus.

    200 - Number of execution schedules

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - Specify a resource group id
    Returns:
      Integer
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### create

    @Nonnull public AiExecutionScheduleCreationResponse create(@Nonnull String aiResourceGroup, @Nonnull AiExecutionScheduleCreationData aiExecutionScheduleCreationData) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create execution schedule

    Create an execution schedule using the configuration specified by configurationId, and schedule.

    202 - The execution schedule has been created successfully

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - Specify a resource group id
      `aiExecutionScheduleCreationData` - The value for the parameter aiExecutionScheduleCreationData
    Returns:
      AiExecutionScheduleCreationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### delete

    @Nonnull public AiExecutionScheduleDeletionResponse delete(@Nonnull String aiResourceGroup, @Nonnull String executionScheduleId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete execution schedule

    Delete the execution schedule with executionScheduleId.

    202 - The execution schedule has been deleted successfully

    400 - The specification of the resource was incorrect

    404 - The specified resource was not found

    Parameters:
      `aiResourceGroup` - Specify a resource group id
      `executionScheduleId` - Execution Schedule identifier
    Returns:
      AiExecutionScheduleDeletionResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public AiExecutionSchedule get(@Nonnull String aiResourceGroup, @Nonnull String executionScheduleId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get information about an execution schedule

    Retrieve details for execution schedule with executionScheduleId.

    200 - Information about the execution schedule

    400 - The specification of the resource was incorrect

    404 - The specified resource was not found

    Parameters:
      `aiResourceGroup` - Specify a resource group id
      `executionScheduleId` - Execution Schedule identifier
    Returns:
      AiExecutionSchedule
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### modify

    @Nonnull public AiExecutionScheduleModificationResponse modify(@Nonnull String aiResourceGroup, @Nonnull String executionScheduleId, @Nonnull AiExecutionScheduleModificationRequest aiExecutionScheduleModificationRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Update an execution schedule

    Update details of an execution schedule

    202 - The execution schedule has been modified successfully

    400 - The specification of the resource was incorrect

    404 - The specified resource was not found

    Parameters:
      `aiResourceGroup` - Specify a resource group id
      `executionScheduleId` - Execution Schedule identifier
      `aiExecutionScheduleModificationRequest` - The value for the parameter aiExecutionScheduleModificationRequest
    Returns:
      AiExecutionScheduleModificationResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public AiExecutionScheduleList query(@Nonnull String aiResourceGroup, @Nullable String configurationId, @Nullable String status, @Nullable Integer $top, @Nullable Integer $skip) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get list of execution schedules

    Retrieve a list of execution schedules that match the specified filter criteria. Filter criteria include executionScheduleStatus or a configurationId. With top/skip parameters it is possible to paginate the result list.

    200 - A list of execution schedules

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - (required) Specify a resource group id
      `configurationId` - (optional) Configuration identifier
      `status` - (optional) Execution Schedule status
      `$top` - (optional, default to 10000) Number of results to display
      `$skip` - (optional) Number of results to be skipped from the ordered list of results
    Returns:
      AiExecutionScheduleList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### query

    @Nonnull public AiExecutionScheduleList query(@Nonnull String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get list of execution schedules

    Retrieve a list of execution schedules that match the specified filter criteria. Filter criteria include executionScheduleStatus or a configurationId. With top/skip parameters it is possible to paginate the result list.

    200 - A list of execution schedules

    400 - The specification of the resource was incorrect

    Parameters:
      `aiResourceGroup` - Specify a resource group id
    Returns:
      AiExecutionScheduleList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API